# class MediaQueryList

#### package js.html

Available on HTML5

A `MediaQueryList` object maintains a list of media queries on a `document`, and handles sending notifications to listeners when the media queries on the document change.

Documentation MediaQueryList by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/MediaQueryList

### Variables

###

`read onlymatches:Bool`

###

`read onlymedia:String`

### Methods

###

`addListener (listener:MediaQueryList ‑> Void):Void`

###

`removeListener (listener:MediaQueryList ‑> Void):Void`